    /*
     *  call-seq:
     *     query.add(span_query) -> self
     *     query << span_query -> self
     *
     *  Add a clause to the SpanOrQuery. Note that clauses must be SpanQueries,
     *  not other types of query.
     */
    static VALUE
    frb_spanoq_add(VALUE self, VALUE rclause)
    {
        GET_Q();
        Query *clause;
        Data_Get_Struct(rclause, Query, clause);
        spanoq_add_clause(q, clause);
        return self;
    }